aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-004.sh
diff options
context:
space:
mode:
authorLukas Fleischer <calcurse@cryptocrack.de>2014-08-18 11:29:46 +0200
committerLukas Fleischer <calcurse@cryptocrack.de>2014-08-18 11:37:41 +0200
commitbcc820ea743e0448b26a8fee5e8e0a9f85bc3c70 (patch)
tree06ba51636861f41832e5a1f4485d8105a6a67a7f /test/ical-004.sh
parente57b9654ff90230bc8b0631753b3dc0c829a9747 (diff)
downloadcalcurse-bcc820ea743e0448b26a8fee5e8e0a9f85bc3c70.tar.gz
calcurse-bcc820ea743e0448b26a8fee5e8e0a9f85bc3c70.zip
Handle CRLF line endings in iCal files
RFC 2445 mentions that CRLF line endings may be used in iCal files. Handle them properly when importing. Reported-by: HÃ¥kan Jerning <jerning@home.se> Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
Diffstat (limited to 'test/ical-004.sh')
-rwxr-xr-xtest/ical-004.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/ical-004.sh b/test/ical-004.sh
new file mode 100755
index 0000000..a804a1e
--- /dev/null
+++ b/test/ical-004.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-004.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -s01/01/1980 -r2
+ "$CALCURSE" -D "$PWD/.calcurse" -t
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+Import process report: 0017 lines read
+1 app / 0 events / 1 todo / 0 skipped
+01/01/80:
+ - 00:01 -> ..:..
+ Calibrator's
+
+01/02/80:
+ - ..:.. -> 09:18
+ Calibrator's
+to do:
+9. Nary parabled Louvre's fleetest mered
+EOD
+else
+ ./run-test "$0"
+fi